#!/bin/bash

set -eu
set -o pipefail

export TRAVIS=1

rm -rf "${AUTOPKGTEST_TMP}/tests"
cp -r tests "${AUTOPKGTEST_TMP}"

cd "${AUTOPKGTEST_TMP}"
for p in $(py3versions -s); do
    "${p}" -m pytest -v --ignore=tests/test_benchmark.py \
        --deselect=tests/test_cryptography.py::CryptographyTestCase::test_ceiling_should_be_latest_cryptography_version_plus_three \
        --deselect=tests/test_cryptography.py::CryptographyTestCase::test_should_be_run_with_latest_version_of_cryptography
done
